function [GDT_opt,U_opt] = GDTsort(GDT)
% GDTsort. Sort out the results of the simulation
%
%   [GDT_opt,U_opt] = GDTsort(GDT)
%
% GDT_opt       optimal particle 
% U_opt         optimal control trajectory

% Enso Ikonen 4/2006 University of Oulu

N = length(GDT);
I = [1:N];
% - index for optimal ancestral line (minimal costs)
J_T = [GDT(I).J_T];
i_opt = find( J_T == min(J_T) ); i_opt = i_opt(1);
% optimal trajectories and final values:
U_opt = GDT(i_opt).U_hist;
GDT_opt = GDT(i_opt);