function [Z,A]=Urand(C_Z)
% URAND Generate correlated Gaussian random vectors
%   Z = randc(C_Z)
%
% Z       correlated zero mean random vector [P,1]
% C_Z     covariance matrix [P,P]   

% EI 4/2004
% See Uysal, ECE710, section "Generation of correlated random variables" from www.

% Solve for A using eigenvalue decomposition. Variance C_Z = AA'
[Q,D,tmp]=svd(C_Z);
A = Q*sqrt(D);

% Generate Gaussian distributed vector
l = size(C_Z,1);
Y = randn(l,1);

% Generate correlated vector
Z = A*Y;

