function xdot = typicaldiff(t,x,u)
% TYPICALDIFF Sample plant described by ordinary differential equations
%    xdot = typicaldiff(t,x,u)

% Enso Ikonen 4/2006 University of Oulu

b_u = 1000; c_1 = 1.1e-10; c_2 = 0.8; c_3 = 1.5e-9; T_A = 20;
T_F = x(1); T_P = x(2);
T_Fdot = b_u*u - c_1*(T_F^4-T_P^4) - c_2*(T_F-T_A);
T_Pdot = c_3*(T_F^4-T_P^4);
xdot = [T_Fdot;T_Pdot];